#!/bin/sh

# Copyright 2014 Paul Hänsch
#
# This file is part of Busy
# 
# Busy is free software: you can redistribute it and/or modify
# it under the terms of the GNU Affero General Public License as published by
# the Free Software Foundation, either version 3 of the License, or
# (at your option) any later version.
# 
# Busy is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU Affero General Public License for more details.
# 
# You should have received a copy of the GNU Affero General Public License
# along with Busy. If not, see <http://www.gnu.org/licenses/>. 

url="$(echo "$_GET[\"i\"]" |sed -rn '1{s:\t: :g;s:\r::g;s:\\:\\\\:g;p}')"
rev="$(echo "$_GET[\"r\"]" |sed -rn '1{/^[0-9]+$/p}')"

baseuri=$(sed -rn 's:^svnRepo=(.*)$:\1:p' project.meta)
lastrev=$(svn info "$baseuri" |sed -rn 's;^Revision: *([0-9]+);\1;p')
[ -z "$rev" ] && rev="$lastrev"

case "$1" in
  title)
    echo "Code"
  ;;
  css)
    cat ${_EXEC}/templates/Subversion.css
  ;;
  body)
    #. ${_EXEC}/templates/text_subversion.sh
    . ${_EXEC}/templates/Subversion.page
  ;;
esac
  
